# Annotation

include:
    "../rules/annotation.smk"

rule ANNOTATION:
    input:
        "status/annotation_proteins.done",
        "status/annotation_crispr.done",
        "status/annotation_plasmids.done",
        "status/annotation_amr.done"
    output:
        touch("status/annotation.done")

rule ANNOTATION_PROTEINS:
    input:
        expand(
            os.path.join(RESULTS_DIR, "annotation/prodigal/{rtype_tool}/proteins.faa"),
            rtype_tool=["%s/%s" % (rtype, tool) for rtype, tool in READ_ASSEMBLERS]
        ),
        expand(
            os.path.join(RESULTS_DIR, "annotation/diamond/{rtype_tool}/proteins.{ext}"),
            rtype_tool=["%s/%s" % (rtype, tool) for rtype, tool in READ_ASSEMBLERS],
            ext=["daa", "tsv"]
        )
    output:
        touch("status/annotation_proteins.done")

rule ANNOTATION_CRISPR:
    input:
        expand(
            os.path.join(RESULTS_DIR, "annotation/casc/{rtype_tool}/ASSEMBLY.results.txt"),
            rtype_tool=["%s/%s" % (rtype, tool) for rtype, tool in READ_ASSEMBLERS]
        ),
        expand(
            os.path.join(RESULTS_DIR, "annotation/minced/{rtype_tool}/ASSEMBLY.results.txt"),
            rtype_tool=["%s/%s" % (rtype, tool) for rtype, tool in READ_ASSEMBLERS]
        )
    output:
        touch("status/annotation_crispr.done")

rule ANNOTATION_PLASMIDS:
    input:
        expand(
            os.path.join(RESULTS_DIR, "annotation/plasflow/{rtype_tool}/plasflow.tsv"),
            rtype_tool=["%s/%s" % (rtype, tool) for rtype, tool in READ_ASSEMBLERS]
        )
    output:
        touch("status/annotation_plasmids.done")

rule ANNOTATION_AMR:
    input:
        # rgi
        expand(
            os.path.join(RESULTS_DIR, "annotation/rgi/{rtype_tool}/rgi.txt"),
            rtype_tool=["%s/%s" % (rtype, tool) for rtype, tool in READ_ASSEMBLERS]
        )
    output:
        touch("status/annotation_amr.done")
