# Assembly

include:
    "../rules/mapping.smk"

rule MAPPING:
    input:
        metag=expand(
            os.path.join(RESULTS_DIR, "mapping/metag/{rtype_tool}.bam"),
            rtype_tool=["{r}/{t}/ASSEMBLY_{r}".format(r=r, t=t) for r, t in READ_ASSEMBLERS]
        ),
        metat=expand(
            os.path.join(RESULTS_DIR, "mapping/metat/{rtype_tool}.bam"),
            rtype_tool=["{r}/{t}/ASSEMBLY_sr".format(r=r, t=t) for r, t in READ_ASSEMBLERS]
        ) if "metat" in META_TYPES else []
    output:
        touch("status/mapping.done")

rule COVERAGE:
    input:
        metag=expand(
            os.path.join(RESULTS_DIR, "mapping/metag/{rtype_tool}.cov.ave.txt"),
            rtype_tool=["{r}/{t}/ASSEMBLY_{r}".format(r=r, t=t) for r, t in READ_ASSEMBLERS]
        ),
        metat=expand(
            os.path.join(RESULTS_DIR, "mapping/metat/{rtype_tool}.cov.ave.txt"),
            rtype_tool=["{r}/{t}/ASSEMBLY_sr".format(r=r, t=t) for r, t in READ_ASSEMBLERS]
        ) if "metat" in META_TYPES else []
    output:
        touch("status/coverage.done")

rule MAPPABILITY:
    input:
        metag=expand(
            os.path.join(RESULTS_DIR, "mapping/metag/{rtype_tool}.{ext}"),
            rtype_tool=["{r}/{t}/ASSEMBLY_{r}".format(r=r, t=t) for r, t in READ_ASSEMBLERS],
            ext=["flagstat.txt", "idxstats.txt", "unique.txt"]
        ),
        metat=expand(
            os.path.join(RESULTS_DIR, "mapping/metat/{rtype_tool}.{ext}"),
            rtype_tool=["{r}/{t}/ASSEMBLY_sr".format(r=r, t=t) for r, t in READ_ASSEMBLERS],
            ext=["flagstat.txt", "idxstats.txt", "unique.txt"]
        ) if "metat" in META_TYPES else []
    output:
        touch("status/mappability.done")
