# Annotation

include:
    "../rules/taxonomy.smk"

rule TAXONOMY:
    input:
        "status/taxonomy_kraken2.done",
    output:
        touch("status/taxonomy.done")

rule TAXONOMY_KRAKEN2:
    input:
        expand(
            os.path.join(RESULTS_DIR, "taxonomy/kraken2/{rtype_tool}_{db}_{otype}.txt"),
            rtype_tool=["%s_%s" % (rtype, tool) for rtype, tool in READ_ASSEMBLERS],
            db=config["kraken2"]["db"].keys(),
            otype=["labels", "report"]
        ),
        expand(
            os.path.join(RESULTS_DIR, "taxonomy/kraken2/{mtype}_sr_{db}_{otype}.txt"),
            mtype=META_TYPES,
            db=config["kraken2"]["db"].keys(),
            otype=["labels", "report"]
        ),
        expand(
            os.path.join(RESULTS_DIR, "taxonomy/kraken2/metag_lr_{db}_{otype}.txt"),
            db=config["kraken2"]["db"].keys(),
            otype=["labels", "report"]
        ),
    output:
        touch("status/taxonomy_kraken2.done")
